package org.enfi.modules.system.entity;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author WANG HAO
 * @since 2021-10-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("CUX_OA_EMPLOYEE_V")
@ApiModel(value="OaEmployeeV对象", description="")
@DS("ERP-PRD1")
public class OaEmployeeV extends Model<OaEmployeeV> {

    private static final long serialVersionUID = 1L;

    @TableField("EMPLOYEE_NUMBER")
    private String employeeNumber;

    @TableField("PERSON_ID")
    private String personId;

    @TableField("LAST_NAME")
    private String lastName;

    @TableField("ORGANIZATION_NAME")
    private String organizationName;

    @TableField("ORGANIZATION_ID")
    private String organizationId;

    @TableField("COMPANY_NAME")
    private BigDecimal companyName;

    @TableField("PRIMARY_FLAG")
    private String primaryFlag;

    @TableField("SUPERVISOR_NUM")
    private String supervisorNum;

    @TableField("SUPERVISOR_NAME")
    private String supervisorName;

    @TableField("PERSON_STATUS")
    private String personStatus;

    @TableField("OFFICE_NUMBER")
    private String officeNumber;

    @TableField("INTERNAL_LOCATION")
    private String internalLocation;

    @TableField("NATIONAL_IDENTIFIER")
    private String nationalIdentifier;

    @TableField("WORKROOM")
    private String workroom;

    @TableField("EMAIL_ADDRESS")
    private String emailAddress;

    @TableField("TIME_TO_WORK")
    private String timeToWork;

    @TableField("JOIN_DATE")
    private String joinDate;

    @TableField("RZGW")
    private String rzgw;

    @TableField("SECURITY_LEVEL")
    private String securityLevel;

    @TableField("DATE_OF_BIRTH")
    private Date dateOfBirth;

    @TableField("REGION_OF_BIRTH")
    private String regionOfBirth;

    @TableField("GRADE_NAME")
    private String gradeName;

    @TableField("SPECIALITY")
    private String speciality;

    @TableField("JOB_NAME")
    private String jobName;

    @TableField("POSITION_NAME")
    private String positionName;

    @TableField("ZC")
    private String zc;

    @TableField("ZG")
    private String zg;

    @TableField("ZGXL")
    private String zgxl;

    @TableField("GLJSKS")
    private String gljsks;

    @TableField("GZLX")
    private BigDecimal gzlx;

    @TableField("GLRCKZJ")
    private String glrckzj;

    @TableField("SJRCKZJ")
    private String sjrckzj;

    @TableField("SFLWPQ")
    private String sflwpq;

    @TableField("XZPM")
    private String xzpm;

    @TableField("SEX")
    private String sex;



}
