package org.enfi.modules.demo.test.service;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;

import org.enfi.modules.demo.test.entity.EnFiOrderCustomer;
import org.enfi.modules.demo.test.entity.EnFiOrderMain;
import org.enfi.modules.demo.test.entity.EnFiOrderTicket;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 订单
 * @Author: enfi-boot
 * @Date:  2019-02-15
 * @Version: V1.0
 */
public interface IEnFiOrderMainService extends IService<EnFiOrderMain> {

	/**
	 * 添加一对多
	 * 
	 */
	public void saveMain(EnFiOrderMain jeecgOrderMain,List<EnFiOrderCustomer> jeecgOrderCustomerList,List<EnFiOrderTicket> jeecgOrderTicketList) ;
	
	/**
	 * 修改一对多
	 * 
	 */
	public void updateMain(EnFiOrderMain jeecgOrderMain,List<EnFiOrderCustomer> jeecgOrderCustomerList,List<EnFiOrderTicket> jeecgOrderTicketList);
	
	/**
	 * 删除一对多
	 * @param jformOrderMain
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 * @param jformOrderMain
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);

	public void updateCopyMain(EnFiOrderMain jeecgOrderMain, List<EnFiOrderCustomer> jeecgOrderCustomerList, List<EnFiOrderTicket> jeecgOrderTicketList);
}
