package org.enfi.modules.demo.test.service.impl;

import java.util.List;

import org.enfi.modules.demo.test.entity.EnFiOrderCustomer;
import org.enfi.modules.demo.test.mapper.EnFiOrderCustomerMapper;
import org.enfi.modules.demo.test.service.IEnFiOrderCustomerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 订单客户
 * @Author: enfi-boot
 * @Date:  2019-02-15
 * @Version: V1.0
 */
@Service
public class EnFiOrderCustomerServiceImpl extends ServiceImpl<EnFiOrderCustomerMapper, EnFiOrderCustomer> implements IEnFiOrderCustomerService {

	@Autowired
	private EnFiOrderCustomerMapper jeecgOrderCustomerMapper;
	
	@Override
	public List<EnFiOrderCustomer> selectCustomersByMainId(String mainId) {
		return jeecgOrderCustomerMapper.selectCustomersByMainId(mainId);
	}

}
