package org.enfi.modules.system.controller;

;
import io.swagger.annotations.ApiOperation;
import org.enfi.common.api.vo.Result;
import org.enfi.modules.system.service.IDepartDataService;
import org.enfi.modules.system.service.IOaEmployeeVService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author WANG HAO
 * @since 2021-10-18
 */
@RestController
@RequestMapping("/oaEmployeeV")
public class OaEmployeeVController {
    @Autowired
    private IOaEmployeeVService iOaEmployeeVService;

    @GetMapping("/syncErpUser")
    @ApiOperation("同步Erp用户")
    @Transactional
    public Result<?> syncErpUser() {
        Boolean aBoolean = iOaEmployeeVService.syncDepAndSysUser();
        return Result.ok("同步成功");
    }
}

