package org.enfi.modules.demo.test.service.impl;

import java.util.List;

import org.enfi.modules.demo.test.entity.EnFiOrderTicket;
import org.enfi.modules.demo.test.mapper.EnFiOrderTicketMapper;
import org.enfi.modules.demo.test.service.IEnFiOrderTicketService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 订单机票
 * @Author: enfi-boot
 * @Date:  2019-02-15
 * @Version: V1.0
 */
@Service
public class EnFiOrderTicketServiceImpl extends ServiceImpl<EnFiOrderTicketMapper, EnFiOrderTicket> implements IEnFiOrderTicketService {
	@Autowired
	private EnFiOrderTicketMapper jeecgOrderTicketMapper;
	
	@Override
	public List<EnFiOrderTicket> selectTicketsByMainId(String mainId) {
		return jeecgOrderTicketMapper.selectTicketsByMainId(mainId);
	}

}
